## dbf2mysql 1.10b

=== Makefile ===
# Makefile fopr the dbf2mysql-utility
# Maarten Boekhold (boekhold@cindy.et.tudelft.nl) 1995

# Set this to your C-compiler
CC=gcc

# set this to your install-program (what does Solaris have
# in /usr/sbin/install? SYSV install?)
INSTALL=/usr/bin/install

#AR=/usr/bin/ar
AR=ar

# Set this to whatever your compiler accepts. Nothing special is needed
CFLAGS=-O2 -Wall

# Set this to your Minerva (mSQL) installation-path
MYSQLINC=-I/usr/local/include/mysql
MYSQLLIB=-L/usr/local/lib/mysql

# Set this to where you want the binary (no man-page yet, don't know
# how to write them)
INSTALLDIR=/usr/local/bin

# Set this if your system needs extra libraries
#
# For Solaris use:
#EXTRALIBS= -lmysys -lmystrings -lmysqlclient  -lm
EXTRALIBS= -lmysqlclient -lm

# You should not have to change this unless your system doesn't have gzip
# or doesn't have it in the standard place (/usr/local/bin for ex.).
# Anyways, it is not needed for just a simple compile and install
RM=/bin/rm -f
GZIP=/bin/gzip
TAR=/bin/tar

VERSION=1.10b

OBJS=dbf.o endian.o libdbf.a dbf2mysql.o mysql2dbf.o

all: dbf2mysql mysql2dbf

libdbf.a: dbf.o endian.o
	$(AR) rcs libdbf.a dbf.o endian.o

dbf2mysql: dbf2mysql.o libdbf.a
	$(CC) $(CFLAGS) -s -L. $(MYSQLLIB) -o $@ dbf2mysql.o -ldbf \
		$(EXTRALIBS)
	
mysql2dbf: mysql2dbf.o libdbf.a
	$(CC) $(CFLAGS) -s -L. $(MYSQLLIB) -o $@ mysql2dbf.o -ldbf \
		$(EXTRALIBS)

dbf.o: dbf.c dbf.h
	$(CC) $(CFLAGS) -c -o $@ dbf.c

endian.o: endian.c
	$(CC) $(CFLAGS) -c -o $@ endian.c

dbf2mysql.o: dbf2mysql.c dbf.h
	$(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" $(MYSQLINC) -c -o $@ dbf2mysql.c

mysql2dbf.o: mysql2dbf.c dbf.h
	$(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" $(MYSQLINC) -c -o $@ mysql2dbf.c

install: dbf2mysql
	$(INSTALL) -m 0755 -s dbf2mysql $(INSTALLDIR)
	$(INSTALL) -m 0755 -s mysql2dbf $(INSTALLDIR)

clean:
	$(RM) $(OBJS) dbf2mysql mysql2dbf

# the 'expand' is just for me, I use a tabstop of 4 for my editor, which
# makes lines in the README very long and ugly for people using 8, so
# I just expand them to spaces

dist:
#	-expand -4 README.tab > README
	(cd .. ; $(TAR) cf dbf2mysql-$(VERSION).tar dbf2mysql-$(VERSION)/*.[ch] \
	dbf2mysql-$(VERSION)/Makefile dbf2mysql-$(VERSION)/README \
        dbf2mysql-$(VERSION)/kbl2win.cvt ; \
	$(GZIP) -9 dbf2mysql-$(VERSION).tar)

## dbf2mysql 1.14a

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile fopr the dbf2mysql-utility
+# Makefile for the dbf2mysql-utility
 # Maarten Boekhold (boekhold@cindy.et.tudelft.nl) 1995
 
 # Set this to your C-compiler
@@ -12,11 +12,17 @@
 AR=ar
 
 # Set this to whatever your compiler accepts. Nothing special is needed
+#CFLAGS=-g -Wall -pedantic -include /usr/include/mpatrol.h
+#CFLAGS=-g -Wall
 CFLAGS=-O2 -Wall
 
-# Set this to your Minerva (mSQL) installation-path
-MYSQLINC=-I/usr/local/include/mysql
-MYSQLLIB=-L/usr/local/lib/mysql
+# Set this to make smaller binaries
+#STRIP=
+STRIP=-s
+
+# Set this to your MySQL installation-path
+MYSQLINC=-I/usr/include/mysql
+MYSQLLIB=-L/usr/lib/mysql
 
 # Set this to where you want the binary (no man-page yet, don't know
 # how to write them)
@@ -26,6 +32,8 @@
 #
 # For Solaris use:
 #EXTRALIBS= -lmysys -lmystrings -lmysqlclient  -lm
+# For mpatrol use (see http://www.cbmamiga.demon.co.uk/mpatrol/)
+#EXTRALIBS= -lmpatrol -lbfd -liberty -lmysqlclient -lm
 EXTRALIBS= -lmysqlclient -lm
 
 # You should not have to change this unless your system doesn't have gzip
@@ -34,8 +42,9 @@
 RM=/bin/rm -f
 GZIP=/bin/gzip
 TAR=/bin/tar
+BZIP2=/usr/bin/bzip2
 
-VERSION=1.10b
+VERSION=1.14
 
 OBJS=dbf.o endian.o libdbf.a dbf2mysql.o mysql2dbf.o
 
@@ -45,11 +54,11 @@
 	$(AR) rcs libdbf.a dbf.o endian.o
 
 dbf2mysql: dbf2mysql.o libdbf.a
-	$(CC) $(CFLAGS) -s -L. $(MYSQLLIB) -o $@ dbf2mysql.o -ldbf \
+	$(CC) $(CFLAGS) $(STRIP) -L. $(MYSQLLIB) -o $@ dbf2mysql.o -ldbf \
 		$(EXTRALIBS)
-	
+
 mysql2dbf: mysql2dbf.o libdbf.a
-	$(CC) $(CFLAGS) -s -L. $(MYSQLLIB) -o $@ mysql2dbf.o -ldbf \
+	$(CC) $(CFLAGS) $(STRIP) -L. $(MYSQLLIB) -o $@ mysql2dbf.o -ldbf \
 		$(EXTRALIBS)
 
 dbf.o: dbf.c dbf.h
@@ -80,4 +89,12 @@
 	(cd .. ; $(TAR) cf dbf2mysql-$(VERSION).tar dbf2mysql-$(VERSION)/*.[ch] \
 	dbf2mysql-$(VERSION)/Makefile dbf2mysql-$(VERSION)/README \
         dbf2mysql-$(VERSION)/kbl2win.cvt ; \
-	$(GZIP) -9 dbf2mysql-$(VERSION).tar)
+	$(GZIP) -f9 dbf2mysql-$(VERSION).tar)
+
+distbz2:
+#	-expand -4 README.tab > README
+	(cd .. ; $(TAR) cf dbf2mysql-$(VERSION).tar dbf2mysql-$(VERSION)/*.[ch] \
+	dbf2mysql-$(VERSION)/Makefile dbf2mysql-$(VERSION)/README \
+        dbf2mysql-$(VERSION)/kbl2win.cvt ; \
+	$(BZIP2) dbf2mysql-$(VERSION).tar)
+

=== debian/changelog ===
dbf2mysql (1.14a-7build1) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:44:54 -0500

dbf2mysql (1.14a-7) unstable; urgency=medium

  * Fixed a few typos around.
  * Removed trailing spaces in debian/changelog to make lintian happy.
  * Annotated all patches.
  * Added gbp.conf file.
  * Truly updated the manpage :-/ 
  * Switched to dh-compat 13.
  * Annotated missing Vcs* in d/control.
  * Fixed newdecimal patch for a missing }

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 05 Jan 2021 12:03:56 +0100

dbf2mysql (1.14a-6) unstable; urgency=medium

  * debian/copyright reformatted in machine readable format.
  * Removed old diff files still around under debian/.
  * Updated Homepage, because original MySQL URL is not more active.
  * Policy changed to 4.5.1.
  * Added some patches taken from https://github.com/sonicse/dbf2mysql.
  * Added a pair of new patches to drop deprecated tempnam() use and
    fixes some warns under current gcc.
  * Refreshed 10-mysql.patch to include -L and modernize Mysql API, removed
    incomplete vorlon's patch 25-mysql_real_connect.patch.
    Other patches refreshed.
  * Revised README.Debian.
  * Added charset management with new option -C.
    (closes: #394912, #583633)
  * Revised manpage to include missing new options.
    (closes: #751091)
  * Multiple fixes merged in a separate patches:
      dbf2mysql:
        - add missing quotes around column names in CREATE TABLE query, allowing
          reserved words in column names
        - add column list to INSERT query, allowing inserts into existing
          tables with more columns
      mysql2dbf:
        - fix number length (was always 10 before)
        - fix DECIMAL support (add NEWDECIMAL field type)
        - add ENUM (two-state only) support (ENUM field type does not work,
          uses ENUM_FLAG)
    (closes: #435815)
  * Now using debhelper-compat in debian/control.
  * Added Vcs-* fields in debian/control.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 17 Dec 2020 13:41:49 +0100

dbf2mysql (1.14a-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc 7. (Closes: #853368)

 -- Adrian Bunk <bunk@debian.org>  Fri, 01 Sep 2017 16:20:46 +0300

dbf2mysql (1.14a-5) unstable; urgency=medium

  * Moved to new libmysql-dev b-d.
    (closes: #845834)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 12 Dec 2016 23:30:47 +0100

dbf2mysql (1.14a-4) unstable; urgency=low

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Patches:
    - Number all files to make apply order apparent.
    - Patch 05: update with "quilt refresh" to make it apply cleanly.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix copyright-without-copyright-notice (Lintian).
  * Fix debian-rules-ignores-make-clean-error (Lintian).
  * Fix extended-description-is-probably-too-short (Lintian).
    (closes: #670726)

  [ Francesco Paolo Lovergine ]
  * Moved to modern debhelper
    (closes: #800211)
  * Makefile revised to be nice with dpkg environment, hardening,
    stripping, etc.
  * Build-dep revised to current mysql -dev b-d.
    (closes: #79046)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 06 Mar 2016 15:32:16 +0100

dbf2mysql (1.14a-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against libmysqlclient15-dev; libmysqlclient10-dev hasn't been
    dropped yet, but hopefully will be for etch.  Closes: #343768.
    - debian/patches/05_mysql_real_connect.dpatch: use mysql_real_connect(),
      for libmysqlclient15 compatibility.

 -- Steve Langasek <vorlon@debian.org>  Fri, 17 Feb 2006 16:52:25 -0800

dbf2mysql (1.14a-3) unstable; urgency=low

  * Policy updated to 3.6.1
  * Patch applied for umlauts.
    (closes: #213958,#213959)
  * Using dpatch support now for current and past patches.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue,  7 Oct 2003 20:50:07 +0200

dbf2mysql (1.14a-2) unstable; urgency=low

  * Replaced mysql_connect with mysql_real_connect, SQLsock isn't used
    anymore. (Bart Friederichs).
  * README touched to reflect changes.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 24 Feb 2003 18:30:26 +0100

dbf2mysql (1.14a-1) unstable; urgency=low

  * Patch for FoxPro (Christian Eyrich):
  	According to Erik Bachmanns XBase File Format Description all M Field
  	Types (including DBF_MTYPE_FPT) contain the block number as 10 digita
  	ASCII text. So handling it in DBF_MTYPE_FPT files as long value as the
  	current versions of dbf2mysql do is wrong. What I experienced with the
  	FoxPro files here confirm this.

  * Patch for MySQL (Bart Friederichs):
        I changed the dbf2mysql program to being able to enable the
        local-infile option, that is needed for MySQL > 3.23.49 and >4.0.2. I
        added an -L option to the command that enables it. It is tested and it
        works.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 11 Feb 2003 14:47:22 +0100

dbf2mysql (1.14-4) unstable; urgency=low

  * Rebuilt to remove /usr/doc link
  * Policy standard updated.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 11 Dec 2002 15:20:56 +0100

dbf2mysql (1.14-3) unstable; urgency=low

  * Maintainer email corrected in control file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 26 Nov 2001 14:11:27 +0100

dbf2mysql (1.14-2) unstable; urgency=low

  * New maintainer. (closes: #93897)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 20 Nov 2001 12:25:53 +0100

dbf2mysql (1.14-1) unstable; urgency=high

  * New upstream version, with support for MEMO fields.  Closes: #23719.
  * dbf2mysql.c: Open temporary file with O_EXCL.


=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

dh_override_auto_configure:

dh_override_auto_build:
	$(MAKE) DESTDIR=$(CURDIR)/debian/dbf2mysql

dh_override_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/dbf2mysql install

## dbf2mysql 1.14a-3

=== debian/control ===
Source: dbf2mysql
Section: misc
Priority: optional
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), dpatch, libmysqlclient10-dev | libmysqlclient-dev

Package: dbf2mysql
Architecture: any
Depends: ${shlibs:Depends}
Description: xBase <--> MySQL
 This program takes an xBase file and sends queries to an MySQL server to
 insert it into an MySQL table and vice versa.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

CFLAGS=-O2 -Wall
ifneq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
CFLAGS+=-g
endif

include /usr/share/dpatch/dpatch.make

build: build-stamp
build-stamp: patch-stamp
	dh_testdir

	# Patching
	
#	patch <debian/foxpro.diff
#	patch <debian/mysql.diff
#	patch <debian/README.diff
#	patch <debian/u_char.diff
	
	# Add here commands to compile the package.
	$(MAKE) CFLAGS="$(CFLAGS)" MYSQLLIB= STRIP=

	touch build-stamp

clean: myclean unpatch
myclean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean


	# Reversing patches
	 
#	-patch --reverse <debian/README.diff
#	-patch --reverse <debian/mysql.diff
#	-patch --reverse <debian/foxpro.diff
#	-patch --reverse <debian/u_char.diff

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/bin

	# Add here commands to install the package into debian/<packagename>
	install dbf2mysql mysql2dbf debian/dbf2mysql/usr/bin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs README
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman debian/dbf2mysql.1
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link usr/share/man/man1/dbf2mysql.1 usr/share/man/man1/mysql2dbf.1
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpatch myclean

## dbf2mysql 1.14a-3ubuntu1

=== debian/changelog ===
dbf2mysql (1.14a-3ubuntu1) dapper; urgency=low

  * Update build-dep to libmysqlclient15-dev
  * mysql2dbf.c - Replace mysql_connect with my_connect

 -- Barry deFreese <bddebian@comcast.net>  Fri, 19 May 2006 06:50:56 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
 Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 3), dpatch, libmysqlclient10-dev | libmysqlclient-dev
+Build-Depends: debhelper (>= 3), dpatch, libmysqlclient15-dev
 
 Package: dbf2mysql
 Architecture: any
